
// 卡槽宽度
width = 8;
// 卡槽长度
height = 200;
thickness = 8;

// 门框宽度
frame_width = 58;
// 门框深度
frame_depth = 12;

difference() {
    union() {
        cube([frame_width + width * 2, height, frame_depth + thickness]);
        cube([height, frame_width + width * 2, frame_depth + thickness]);
    };
    // 门框
    translate([width, width, 0])
        union() {
          cube([frame_width, height, frame_depth]);
          cube([height, frame_width, frame_depth]);
        };
}

translate([frame_width / 2 + width, frame_width / 2 + width, frame_depth + thickness])
    cylinder(r=15, h=10);

translate([frame_width / 2 + width, frame_width / 2 + width, frame_depth + thickness + 10])
    cylinder(r=30, h=8);
